import { fetchGet, fetchPost } from '../http'

export const bindShopId = (params) => {
  return fetchPost('/bind/bindShopId', params)
}
export const phoneLogin = (params) => {
  return fetchPost('/bind/phoneLogin', params)
}
export const ownerPhoneLogin = (params) => {
  return fetchPost('/bindOwner/phoneLogin', params)
}

// 分享
export const share = (params) => {
  return fetchPost('/share/share', params)
}

// 授权
export const sign = (params) => {
  return fetchPost('/sign/get', params)
}

// 查看分享
export const look = (params) => {
  return fetchPost('/share/look', params)
}
// 查询订单数目-石延杰
export const getMarketingSheetSize = (params) => {
  return fetchGet('/my/getMarketingSheetSize', params)
}

// 我的店铺红包-石延杰
export const getRedEnvelopes = (params) => {
  return fetchGet('/my/getRedEnvelopes', params)
}

// 我的会员卡名称列表 -石延杰
export const getMyCardNames = (params) => {
  return fetchGet('/my/getMyCardNames', params)
}

// 我的某张会员卡收支明细 -石延杰
export const getMyCardDetailByCardId = (params) => {
  return fetchGet('/my/getMyCardDetailByCardId', params)
}

// 分页查询拼团列表-石延杰
export const getGroupItemList = (params) => {
  return fetchGet('/my/getGroupItemList', params)
}

// 我的相关信息-石延杰
export const getMyInfo = (params) => {
  return fetchGet('/my/getMyInfo', params)
}
