import App from './App'

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false

import request from 'common/request.js'
import common from 'common/common.js'
Vue.prototype.$http = request.http
Vue.prototype.$request =request
Vue.prototype.$webURL = request.webURL
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif

// 防止多次点击
Vue.prototype.$noMultipleClicks = common.noMultipleClicks;